View Issue Details

IDProjectCategoryView StatusLast Update
0000486luatexluatex bugpublic2010-12-13 14:43
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.65.0 
Summary0000486: combining letterspacing and expansion causes crash
DescriptionReported by Robert Schlicht
Steps To Reproduce\letterspacefont\x\font 100 \x
\pdffontexpand\x 20 20 1 autoexpand
Lorem ipsum dolor sit amet
\bye
TagsNo tags attached.

Activities

Taco

2010-11-28 11:41

administrator   ~0000684

fixed by revision 3997: copy_font() forgot to update the charinfo count, causing a segmentation fault on memory write.

Issue History

Date Modified Username Field Change
2010-09-24 08:34 Taco New Issue
2010-11-24 15:21 Taco Status new => assigned
2010-11-24 15:21 Taco Assigned To => Taco
2010-11-28 11:41 Taco Note Added: 0000684
2010-11-28 11:41 Taco Status assigned => resolved
2010-11-28 11:41 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed